Task #4626

Feature #4027: [Crunch] Accept SDK version as a runtime constraint. Install SDK into the docker container before running tasks.

API validation rejects jobs with arvados_sdk_version without docker_image

Added by Brett Smith about 6 years ago. Updated about 6 years ago.

Status:
Resolved
Priority:
Normal
Assigned To:
Brett Smith
Category:
-
Target version:
Start date:
11/11/2014
Due date:
% Done:

0%

Estimated time:

Description

We don't want to support this because we want to keep the compute nodes mutable. It's too difficult to ensure that the compute nodes will have the setup necessary to run a specific SDK version.

Associated revisions

Revision 1a2e18ce
Added by Brett Smith about 6 years ago

Merge branch '4027-api-sdk-requires-docker-wip'

Refs #4027. Closes #4626, #4629.

History

#1 Updated by Brett Smith about 6 years ago

  • Status changed from New to In Progress

#2 Updated by Brett Smith about 6 years ago

  • Status changed from In Progress to Resolved
  • Remaining (hours) set to 0.0

Also available in: Atom PDF